Bug 1125394 - Add an installer flag to clear pulp binary content from disk
Summary: Add an installer flag to clear pulp binary content from disk
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: Unspecified
Assignee: Eric Helms
QA Contact: Tazim Kolhar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 18:10 UTC by Eric Helms
Modified: 2017-02-23 21:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:12:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Foreman Issue Tracker 5219 None None None 2016-04-22 15:59:54 UTC

Description Eric Helms 2014-07-31 18:10:17 UTC
See https://github.com/Katello/katello-installer/pull/37 for more details

Should clear  /var/lib/pulp/content/

Comment 1 Eric Helms 2014-07-31 18:10:18 UTC
Created from redmine issue http://projects.theforeman.org/issues/5219

Comment 3 Bryan Kearney 2014-08-12 12:50:01 UTC
Upstream bug assigned to ehelms@redhat.com

Comment 4 Bryan Kearney 2014-08-28 14:04:19 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/5219 has been closed
-------------
Eric Helms
Applied in changeset commit:katello-installer|80a57bbda18a08030f3e66f9c35ed43d05e0c619.

Comment 5 Tazim Kolhar 2014-11-21 14:46:53 UTC
VERIFIED :

*** This bug is verified in upstream. This fix should eventually land in future downstream builds ***

Version Tested:

# rpm -qa | grep foreman
ruby193-rubygem-foreman_hooks-0.3.7-2.el7.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3-2.201409091410git163c264.git.0.988ca80.el7.noarch
ruby193-rubygem-foreman_abrt-0.0.4-1.el7.noarch
ruby193-rubygem-foreman_docker-0.2.0-2.el7.noarch
ruby193-rubygem-foreman_bootdisk-4.0.2-1.el7.noarch
rubygem-hammer_cli_foreman-0.1.3-1.201411121216git9381fc5.el7.noarch
hp-dl380pgen8-02-vm-6.lab.bos.redhat.com-foreman-client-1.0-1.noarch
foreman-1.8.0-0.develop.201411201054gitbe4602e.el7.noarch
foreman-ovirt-1.8.0-0.develop.201411201054gitbe4602e.el7.noarch
ruby193-rubygem-foreman-tasks-0.6.9-1.el7.noarch
ruby193-rubygem-foreman_discovery-1.4.0-2.el7.noarch
foreman-postgresql-1.8.0-0.develop.201411201054gitbe4602e.el7.noarch
foreman-compute-1.8.0-0.develop.201411201054gitbe4602e.el7.noarch
foreman-gce-1.8.0-0.develop.201411201054gitbe4602e.el7.noarch
foreman-libvirt-1.8.0-0.develop.201411201054gitbe4602e.el7.noarch
foreman-vmware-1.8.0-0.develop.201411201054gitbe4602e.el7.noarch
foreman-selinux-1.8.0-0.develop.201410280941git10de1c5.el7.noarch
foreman-proxy-1.8.0-0.develop.201411121327gitab6edc2.el7.noarch
hp-dl380pgen8-02-vm-6.lab.bos.redhat.com-foreman-proxy-1.0-1.noarch
foreman-release-1.8.0-0.develop.201411201054gitbe4602e.el7.noarch

# katello-installer --foreman-admin-password=changeme --clear-pulp-content
Installing             Info: START 526                                    [0%] [Installing             Debug: /Stage[main]/Puppet::Server::Config/notify: [0%] [Installing             Debug: /Stage[main]/Postgresql::Server::Config/Con [0%] [Installing             Debug: /Stage[main]/Foreman::Config::Passenger/Fil [0%] [Installing             Debug: /Stage[main]/Apache::Mod::Negotiation/Apach [0%] [Installing             Info: Applying configuration version '1416580529'  [0%] [Installing             Info: RESOURCE Package[mongodb_client]             [0%] [Installing             Info: RESOURCE Cert[hp-dl380pgen8-02-vm-6.lab.bos. [10%] Installing             Info: RESOURCE Package[foreman-postgresql]         [18%] Installing             Info: RESOURCE File[expires.load]                  [24%] Installing             Notice: /Stage[main]/Mongodb/Notify[An attempt has [35%] Installing             Info: RESOURCE Concat[/var/lib/pgsql/data/pg_ident [41%] Installing             Debug: Executing '/sbin/chkconfig elasticsearch'   [46%] Installing             Info: RESOURCE File[/var/lib/puppet/concat/_etc_ca [54%] Installing             Info: RESOURCE Exec[concat_/etc/candlepin/candlepi [55%] Installing             Debug: /File[/var/lib/puppet/concat/_etc_httpd_con [57%] Installing             Info: RESOURCE Cert[hp-dl380pgen8-02-vm-6.lab.bos. [64%] Installing             Info: RESOURCE Exec[concat_/var/lib/pgsql/data/pg_ [69%] Installing             Debug: Executing '/sbin/chkconfig postgresql'      [71%] Installing             Info: RESOURCE Service[postgresqld]                [71%] Installing             Debug: /Stage[main]/Postgresql::Server::Service/Po [72%] Installing             Info: RESOURCE Anchor[postgresql::server::service: [72%] Installing             Debug: /Stage[main]/Foreman::Database::Postgresql/ [73%] Installing             Debug: /Stage[main]/Candlepin::Database::Postgresq [74%] Installing             Debug: /Stage[main]/Candlepin::Database::Postgresq [76%] Installing             Debug: Executing '/sbin/chkconfig mongod'          [79%] Installing             Debug: /Stage[main]/Foreman::Database::Postgresql/ [83%] Installing             Debug: /File[/etc/httpd/conf.d/ssl.load]/selrange: [87%] Installing             Debug: /File[/etc/httpd/conf.d/alias.conf]/selrang [87%] Installing             Debug: /File[/etc/httpd/conf.d/vhost_alias.load]/s [87%] Installing             Debug: /File[/etc/httpd/conf.d/passenger.load]/sel [87%] Installing             Info: RESOURCE Cert[hp-dl380pgen8-02-vm-6.lab.bos. [89%] Installing             Info: RESOURCE File[/var/lib/puppet/ssl/private_ke [94%] Installing             Info: RESOURCE File[/usr/share/foreman/config.ru]  [99%] Installing             Info: RESOURCE File[/etc/foreman-proxy/settings.d/ [99%] Installing             Info: /Stage[main]/Foreman_proxy::Config/Foreman_p [99%] Installing             Debug: Executing '/usr/share/katello-installer/mod [99%] Installing             Notice: /Stage[main]/Foreman_proxy::Service/Servic [99%] Installing             Info: RESOURCE File[/etc/pki/katello/keystore_pass [99%] Installing             Debug: /Stage[main]/Certs::Candlepin/Exec[create c [99%] Installing             Debug: /Stage[main]/Certs::Candlepin/Exec[import c [99%] Installing             Notice: /Stage[main]/Certs::Candlepin/Exec[import  [99%] Installing             Info: RESOURCE Cert[hp-dl380pgen8-02-vm-6.lab.bos. [99%] Installing             Info: RESOURCE File[/etc/pulp/server/plugins.conf. [99%] Installing             Debug: Executing '/sbin/chkconfig pulp_celerybeat' [99%] Installing             Debug: Executing '/sbin/chkconfig pulp_resource_ma [99%] Installing             Debug: Executing '/sbin/chkconfig pulp_workers'    [99%] Installing             Debug: Executing '/usr/share/katello-installer/mod [99%] Installing             Debug: Executing '/usr/share/katello-installer/mod [99%] Installing             Notice: /Stage[main]/Apache::Service/Service[httpd [99%] Installing             Debug: /Stage[main]/Katello::Qpid/Exec[create kate [99%] Installing             Debug: /Stage[main]/Katello::Qpid/Exec[bind katell [99%] Installing             Notice: /Stage[main]/Katello::Qpid/Exec[bind katel [99%] Installing             Info: RESOURCE Service[foreman-tasks]              [99%] Installing             Info: RESOURCE Service[foreman]                    [99%] Installing             Debug: /Stage[main]/Certs::Foreman/Exec[foreman_ce [99%] Installing             Info: RESOURCE Foreman_smartproxy[hp-dl380pgen8-02 [99%] Installing             Notice: /Stage[main]/Foreman_proxy::Register/Forem [99%] Installing             Debug: Stored state in 0.17 seconds                [99%] Installing             Done                                               [100%]Installing             Done                                               [100%] []
  Success!
  * Katello is running at https://hp-dl380pgen8-02-vm-6.lab.bos.redhat.com
      Initial credentials are admin / changeme
  * Capsule is running at https://hp-dl380pgen8-02-vm-6.lab.bos.redhat.com:9090
  * To install additional capsule on separate machine continue by running:"

      capsule-certs-generate --capsule-fqdn "$CAPSULE" --certs-tar "~/$CAPSULE-certs.tar"

  The full log is at /var/log/katello-installer/katello-installer.log

Comment 6 Bryan Kearney 2015-08-11 13:22:49 UTC
This bug is slated to be released with Satellite 6.1.

Comment 7 errata-xmlrpc 2015-08-12 05:12:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.